| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Strat::SeisEvent Class Reference
WellAttrib

Event tied to a stratigraphic level. More...

`#include <stratseisevent.h>`

## Public Member Functions
| SeisEvent (Strat::LevelID lvlid=Strat::LevelID::udf(), VSEvent::Type evtyp=VSEvent::None)
| ~SeisEvent ()
Strat::LevelID | downToLevelID () const
VSEvent::Type | evType () const
float | extrStep () const
const Interval< float > & | extrWin () const
Strat::LevelID | levelID () const
float | offset () const
void | setDownToLevelID (Strat::LevelID id)
void | setEvType (const VSEvent::Type evtyp)
void | setExtrStep (float step)
void | setExtrWin (const Interval< float > &win)
void | setLevelID (Strat::LevelID id)
void | setOffset (float off)
float | snappedTime (const SeisTrc &) const
bool | snapPick (SeisTrc &) const

## Protected Attributes
Strat::LevelID | downtolevel_
VSEvent::Type | evtype_
float | extrstep_ = mUdf(float)
Interval< float > | extrwin_
Strat::LevelID | levelid_
float | offs_ = 0.f

## Detailed Description

Event tied to a stratigraphic level.

<>

## Constructor & Destructor Documentation

## ◆ SeisEvent()

Strat::SeisEvent::SeisEvent | ( | Strat::LevelID | lvlid = Strat::LevelID::udf(),
|  | VSEvent::Type | evtyp = VSEvent::None )

## ◆ ~SeisEvent()

Strat::SeisEvent::~SeisEvent | ( |  | ) |

## Member Function Documentation

## ◆ downToLevelID()

Strat::LevelID Strat::SeisEvent::downToLevelID | ( |  | ) | const
| inline

## ◆ evType()

VSEvent::Type Strat::SeisEvent::evType | ( |  | ) | const
| inline

## ◆ extrStep()

float Strat::SeisEvent::extrStep | ( |  | ) | const
| inline

## ◆ extrWin()

const Interval< float > & Strat::SeisEvent::extrWin | ( |  | ) | const
| inline

## ◆ levelID()

Strat::LevelID Strat::SeisEvent::levelID | ( |  | ) | const
| inline

## ◆ offset()

float Strat::SeisEvent::offset | ( |  | ) | const
| inline

## ◆ setDownToLevelID()

void Strat::SeisEvent::setDownToLevelID | ( | Strat::LevelID | id | ) |
| inline

## ◆ setEvType()

void Strat::SeisEvent::setEvType | ( | const VSEvent::Type | evtyp | ) |
| inline

## ◆ setExtrStep()

void Strat::SeisEvent::setExtrStep | ( | float | step | ) |
| inline

## ◆ setExtrWin()

void Strat::SeisEvent::setExtrWin | ( | const Interval< float > & | win | ) |
| inline

## ◆ setLevelID()

void Strat::SeisEvent::setLevelID | ( | Strat::LevelID | id | ) |
| inline

## ◆ setOffset()

void Strat::SeisEvent::setOffset | ( | float | off | ) |
| inline

## ◆ snappedTime()

float Strat::SeisEvent::snappedTime | ( | const SeisTrc & |  | ) | const

## ◆ snapPick()

bool Strat::SeisEvent::snapPick | ( | SeisTrc & |  | ) | const

## Member Data Documentation

## ◆ downtolevel_

Strat::LevelID Strat::SeisEvent::downtolevel_
| protected

## ◆ evtype_

VSEvent::Type Strat::SeisEvent::evtype_
| protected

## ◆ extrstep_

float Strat::SeisEvent::extrstep_ = mUdf(float)
| protected

## ◆ extrwin_

Interval<float> Strat::SeisEvent::extrwin_
| protected

## ◆ levelid_

Strat::LevelID Strat::SeisEvent::levelid_
| protected

## ◆ offs_

float Strat::SeisEvent::offs_ = 0.f
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025